import * as React from "react";
export interface ModalWrapperProps {
    solidBackground?: boolean;
}
export declare const ModalWrapper: import("styled-components").StyledComponent<"div", any, ModalWrapperProps, never>;
export declare const ModalInner: import("styled-components").StyledComponent<"div", any, ModalWrapperProps, never>;
export interface FullScreenModalProps {
    solidBackground?: boolean;
    open: boolean;
    dismissOnOutsideClick?: boolean;
    className?: string;
    handleClose?(): void;
}
export declare class FullScreenModal extends React.Component<FullScreenModalProps> {
    el: HTMLDivElement | undefined;
    constructor(props: FullScreenModalProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): React.ReactPortal | JSX.Element | null;
    private handleClickOutside;
    private close;
}
